%define module_name SockJS
# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(Encode.pm) perl(HTTP/Tiny.pm) perl(IO/Compress/Deflate.pm) perl(IO/String.pm) perl(JSON.pm) perl(List/Util.pm) perl(Module/Build/Tiny.pm) perl(Plack.pm) perl(Protocol/WebSocket.pm) perl(Test/Class.pm) perl(Test/Class/Load.pm) perl(Test/Fatal.pm) perl(Test/MonkeyMock.pm) perl(Test/More.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt1
Summary: SockJS perl implementation
Group: Development/Perl
License: artistic_2
URL: https://github.com/vti/sockjs-perl

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VT/VTI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
the SockJS manpage is a Perl implementation of http://sockjs.org..

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install
#rm %buildroot%perl_vendor_privlib/README.pod

%files
%doc README.md LICENSE Changes example
%perl_vendor_privlib/S*

%changelog
* Fri Dec 21 2018 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

